# Dual booting Windows 11

- Before the install drop files onto the flash drive
	- autologin.reg
	  ```toml
	  Windows Registry Editor Version 5.00
	  
	  [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon]
	  "DefaultUserName"="pleb"
	  "DefaultPassword"="PASSWORD_HERE"
	  "AutoAdminLogon"="1"
	  ```
	- setup ssh
	  ```powershell
	  Add-WindowsCapability -Online -Name OpenSSH.Server~~~~0.0.1.0
	  Start-Service sshd
	  Set-Service -Name sshd -StartupType 'Automatic'
	  Get-Service -Name sshd | Select-Object -Property Name, DisplayName, Status, StartType
	  
	  ```
	- ssh network access
		- The default firewall policy is the in "private" group
		- Settings > Network & internet > select Private Network
	- ssh access
	  ```powershell
	  scp ~/.ssh/ansible_timburr_keys winroar:/ProgramData/ssh/administrators_authorized_keys
	  ssh winroar
	  powershell
	  Get-Content -Path $env:ProgramData\ssh\administrators_authorized_keys
	  icacls.exe ""$env:ProgramData\ssh\administrators_authorized_keys"" /inheritance:r /grant ""Administrators:F"" /grant ""SYSTEM:F""
	  ```
- Once it asks you to connect to a network (which it does even if you're on one)
- avoid creating a microsoft account
	- unplug the network
	- When you reach the network connection screen, press Shift + F10 to open Command Prompt.
	- Type `oobe\bypassnro` and press Enter.
	- The system will restart, and you should be able to create a local account without a network connection
- It forces you to enter security questions
- After hitting next its safe to restore the network (although the NIC driver is missing anyway, until updates get installed)
- First install steps to get out of Windows
	- connect to 2GHz wifi because win11 installer doesn't have the NIC driver for #incineroar and out-of-box wireless driver can't negotiate with the 5GHz network
	- Install sunshine `winget install lizardbyte.sunshine`
	- open edge using incognito mode and go to sunshine: `localhost:47990`
	- set sunshine credentials and then pair it to moonlight on litten
	- go to taskbar settings and disable everything
- Setup autologin
	- Run `netplwiz`
- The machine can now be operated headlessly, continue setup from a more comfortable Linux environment

## Windows Scripts

A script to minimize dark patterns can be copied via the following copypasta:

```sh
scp -r ~/ops/brenise.dev/nix/incineroar.brenise.dev/windows-scripts winroar:Documents/
```
